Subject: Re: EMACS=t Joy and Happiness

From: Paul Eggert <[email-masked]>
Date: Thu, 24 May 2018 15:03:56 -0700

Bash 4.4 came out only in September 2016, and it's too soon to assume 
it. For example, my students regularly use Emacs on a server running 
RHEL 7, which ships Bash 4.2.46, and as I understand it, this is the 
most recent RHEL available.

How about this idea: At Emacs build time, we check whether Bash is 4.4 
or later, and if so we use a term.el that assumes bash 4.4 or later. 
Otherwise, we use a term.el that interrogates the shell dynamically for 
whether it is shell and if so what its version number is, the first time 
that Emacs runs a process under a shell.